package com.zyh.common.face;

import okhttp3.*;

import java.io.IOException;

public class GetAccessToken {

    private static String accessToken;  // 存储缓存的 access_token
    private static long tokenExpirationTime;  // 存储 access_token 的过期时间

    public static final String API_KEY = "w8Pq8koRUlyh9NgHfjzuDdFZ";
    public static final String SECRET_KEY = "TbIOz63AWQFXSgbP2urk0v34zdyPUac7";

    static final OkHttpClient HTTP_CLIENT = new OkHttpClient().newBuilder().build();

    public static void main(String[] args) throws Exception {
        String accessToken = getAuth();
        System.out.println("Access Token: " + accessToken);
    }

    public static String getAuth() throws Exception {
        if (accessToken != null && System.currentTimeMillis() < tokenExpirationTime) {
            // 如果缓存的 access_token 仍然有效，则直接返回缓存的值
            return accessToken;
        }

        // 缓存的 access_token 已过期或为空，重新获取
        MediaType mediaType = MediaType.parse("application/x-www-form-urlencoded");
        RequestBody body = RequestBody.create(
                mediaType,
                "grant_type=client_credentials&client_id=" + API_KEY + "&client_secret=" + SECRET_KEY
        );

        Request request = new Request.Builder()
                .url("https://aip.baidubce.com/oauth/2.0/token")
                .post(body)
                .addHeader("Content-Type", "application/x-www-form-urlencoded")
                .build();

        try (Response response = HTTP_CLIENT.newCall(request).execute()) {
            if (!response.isSuccessful()) throw new IOException("Unexpected code " + response);

            String responseBody = response.body().string();
            accessToken = parseAccessToken(responseBody);
            // 设置新的过期时间，假设百度AI的 access_token 有效期是30天
            tokenExpirationTime = System.currentTimeMillis() + 30 * 24 * 60 * 60 * 1000;
            return accessToken;
        }
    }

    private static String parseAccessToken(String responseBody) {
        // 使用 JSON 解析库解析响应体，提取出 Access Token
        // 这里使用的是 org.json.JSONObject，你也可以选择其他 JSON 解析库
        org.json.JSONObject jsonObject = new org.json.JSONObject(responseBody);
        return jsonObject.getString("access_token");
    }
}
