package com.zyh.system.controller;

import com.zyh.common.domain.FaceControls;
import com.zyh.common.result.Result;
import com.zyh.system.service.FaceControlsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("face")
public class FaceControlsController {

    @Autowired
    private FaceControlsService faceControlsService;

    // 添加人脸控制
    @PostMapping("addFaceControls")
    public Result addFaceControls(@RequestBody FaceControls faceControls) {
        return faceControlsService.addFaceControls(faceControls);
    }

    // 删除人脸控制
    @PostMapping("deleteFaceControls")
    public Result deleteFaceControls(@RequestParam Integer id) {
        return faceControlsService.deleteFaceControls(id);
    }

    // 修改人脸控制
    @PostMapping("updateFaceControls")
    public Result updateFaceControls(@RequestBody FaceControls faceControls) {
        return faceControlsService.updateFaceControls(faceControls);
    }

    // 查询人脸控制
    @PostMapping("getFaceControls")
    public Result<List<FaceControls>> getFaceControls() {
        return faceControlsService.getFaceControls();
    }




}
