package com.zyh.system.service.impl;

import com.zyh.common.domain.Alarm;
import com.zyh.common.domain.Camera;
import com.zyh.common.domain.CompreFaceApiResponse;
import com.zyh.common.result.Result;
import com.zyh.system.mapper.AlarmMapper;
import com.zyh.system.service.AlarmService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class AlarmServicempl implements AlarmService {
    @Autowired
    private AlarmMapper alarmMapper;
    @Override
    public Result<List<Alarm>> getAlarm() {
        List<Alarm> list = alarmMapper.getAlarm();
        if (list.size() == 0) {
            return Result.error("未查询到数据");
        }
        return Result.success(list);
    }

    @Override
    public Result addAlarm(CompreFaceApiResponse.Result data, String cameraId) {
       Camera camera = alarmMapper.selectCamera(cameraId);
        Alarm alarm = new Alarm();
        alarm.setName(data.getSubjects().get(0).getSubject());
        alarm.setAddress(camera.getAddress());
        alarm.setCameraId(cameraId);
        Integer integer = alarmMapper.addAlarm(alarm);
        if (integer > 0) {

            return Result.success("添加成功");
        }
        return Result.error("添加失败");
    }

    @Override
    public Result deleteAlarm(Integer id) {
        Integer integer = alarmMapper.deleteAlarm(id);
        if (integer > 0) {
            return Result.success("删除成功");
        }
        return Result.error("删除失败");
    }


}
