package com.zyh.system.service.impl;

import com.zyh.common.domain.FaceControls;
import com.zyh.common.result.Result;
import com.zyh.system.mapper.FaceControlsMapper;
import com.zyh.system.service.FaceControlsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class FaceControlsServicempl implements FaceControlsService {
    @Autowired
    private FaceControlsMapper faceControlsMapper;

    @Override
    public Result addFaceControls(FaceControls faceControls) {
        Integer add=faceControlsMapper.addFaceControls(faceControls);
        if(add>0){
            return Result.success("新增成功");
        }

        return Result.error("新增失败");
    }

    @Override
    public Result deleteFaceControls(Integer id) {
        Integer delete=faceControlsMapper.deleteFaceControls(id);
        if(delete>0){
            return Result.success("删除成功");
        }
        return Result.error("删除失败");
    }

    @Override
    public Result updateFaceControls(FaceControls faceControls) {
        Integer update=faceControlsMapper.updateFaceControls(faceControls);
        if(update>0){
            return Result.success("修改成功");
        }
        return Result.error("修改失败");
    }

    @Override
    public Result<List<FaceControls>> getFaceControls() {
        List<FaceControls> faceControls=faceControlsMapper.getFaceControls();
        if(faceControls!=null){
            return Result.success(faceControls,"查询成功");
        }
        return Result.error("查询失败");
    }

    @Override
    public List<String> getFaceControlsPic() {

        return faceControlsMapper.getFaceControlsPic();
    }

}
